# Git Training

## Dependencies

- node
- yeoman
- bower
- grunt

## Installation

- Update your system
```bash
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install build-essential openssl libssl-dev curl
```

- Install Node
```bash
sudo apt install npm
npm install --global npm@latest
```

- Under Unix, create a symbolic link for `node`
```bash
sudo ln -s /usr/bin/nodejs /usr/bin/node
```

- Install Yeoman, bower and grunt
```bash
sudo npm install --global yo
sudo npm install -g generator-reveal
sudo npm install -g grunt-cli
sudo npm install -g bower
```

- Move to the cloned repository and install other dependencies
```bash
sudo npm install
```

## Serve
```bash
grunt
```

## Adding a new slide:

```bash
$ yo reveal:slide --markdown --attributes --notes "Slide Title"
```

## Publish to Github Pages

```bash
grunt dist
```

Copy the content of the `dist` folder into the `gh-pages` branch of `https://github.com/uni-lu/slides`

Some hyperlinks need to be fixed. To do so edit the `index.html` file and remove all `../` before images location.
