## Development scheme

<br>
Generally, in a repository, there are guidelines for contributing.

<div class="fragment">

<br>
A common development scheme is dual with a:

- **development** version of the code on `develop`
- **stable** version of the code on `master`

<br>
A **version** of the code is referred to as a **branch**.

<div class="fragment">
<br><br>
(Live Demo)


<br>
<font color="red">In the practice repository, the development branch is called `develop`!</font>

<div class="fragment">
<br>
![bulb](img/bulb.png) Use this dual development scheme for your own repositories!


## Branches

A **version** of the code (i.e., a **branch**) is made up of a sequence of code changes.

<div class="fragment">
<br>
These individual code changes are called **commits**.


For instance, the `master` and `develop` branches can be represented as a timeline:

<img src="img/branch-master.png" class="branch-master" />


## Switch between branches

List all branches of the repository with
```bash
$ git branch -a
```

Exit by typing `q`. The branch with the ***** is the current branch.

<div class="fragment">
<br>
Checkout another branch
```bash
$ git checkout branchName
```

<div class="fragment">
<br>
You can switch to the `develop` branch with
```bash
$ git checkout develop
```

(Live Demo)


## Create your own version

Assume that you want to work on a function for adding 2 numbers.

<div class="fragment">
<br>
<font color="red">Create a new **branch**!</font>

```bash
$ git checkout -b add-2-numbers
```
The `-b` flag creates the branch.


Locally, you have your own version now:
<img src="img/branch-create.png" class="branch-create" />


Push your version to your fork:
```bash
$ git push origin add-2-numbers
```

<br><br>
(Live Demo)
