## How to configure `git`?

```bash
$ git config --global user.name "Firstname Lastname"
$ git config --global user.email "first.last@uni.lu"
```


## Test the configuration

Test whether your username and email have been registered

```bash
$ git config --list
```

<br>
This should list the configuration with `user.name` and `user.email`.


## What is an SSH key?

An SSH key is a secure access credential.


## Why do I need an SSH key?

<br>
**Idea**: <br><br>
communicate **securely** with Github/Gitlab **without** entering the username/password.


## How do I get and set my SSH key?

<br>
Check if you already have an SSH key:

```bash
$ ls -al ~/.ssh
```
<br>
If there is a file with an extension `.pub`, you already have an SSH key.

<div class="fragment">
<br><br>
If you don’t have yet an SSH key, you have to generate one:
```bash
$ ssh-keygen -t rsa
```

<br>
Then, add the SSH key to Github/Gitlab (see demo).

