## The 5 essential commands

<br>
**Yes**, you only need 5 commands!

<br>
`pull, status, add, commit, push`

<br>
or in other words (remember these!):
```bash
$ git pull <remote> <branch>
$ git status
$ git add myFile.txt # example
$ git commit -m "myMessage" # example
$ git push <remote> <branch>
```


## Pull the latest version of an existing repository

Then, pull the latest revision:
```bash
$ git pull origin add-2-numbers
# Already up to date
```

<div class="fragment">
<br>
Verify its `status` with:
```bash
$ git status
```


## Modify a file

Modify and rename `addTwoNumbers.m` in the folder `src/firstCommit` as `addTwoNumbers_myName`:

```bash
$ cd src/firstCommit
$ mv addTwoNumbers.m addTwoNumbers_myName.m
```

<br>
Open the file using the `Visual Studio Code` editor (or any other editor)
and correct the line
```Matlab
c = a + b;
```


## Add your file to the stage

First, check the repository status
```bash
$ git status
# uncommitted changes (displayed in red)
```

<div class="fragment">
<br>
Now, add the file (bring it on stage)
```bash
$ git add firstCommit/addTwoNumbers_myName.m
# returns the same as before, generally in green (means staged)
```

<div class="fragment">
<br>
**ADVANCED**: see your changes in the terminal
```bash
$ git diff
```
exit with `q`


## Add a commit message

```bash
$ git commit -m "Uncommented line for adding 2 numbers"
$ git status
```

<br>
You can pull, even at this stage, new possible changes
```bash
$ git pull
```


## Push your file to the repository

```bash
$ git push
```

<div class="fragment">
<br>
**ADVANCED**: see the log of all the commits (and your last one) in the terminal
```bash
$ git log
```
exit by typing `q`


## Do it yourself

* Modify and rename `secondCommit/multiplyTwoNumbers.m`
* Push the file `secondCommit/multiplyTwoNumbers_myName.m`
* Don't forget to add <font color="red">`_myName`</font>

<div class="fragment">
<br>
Commands:
```bash
$ git pull
$ git diff # optional
$ git add secondCommit/multiplyTwoNumbers_myName.m
$ git commit -m "Uncommented line for multiplying 2 numbers"
$ git status
$ git push
$ git log # optional
```
