## Synchronize your fork

![bulb](img/bulb.png) Remember, we have to regularly update our own copy of the code.


## Add the address of the original repository

Add the `upstream` address (original/protected repository)
```bash
$ git remote add upstream ssh://git@git-r3lab-server.uni.lu:8022/R3school/
  git.practice.git
```

![bulb](img/bulb.png) Note the change in the URL.


<br>
You can then check whether the remote address is set correctly
```bash
$ git remote -v
```

<div class="fragment">
<br>
Fetch the changes from upstream (similar to pull)
```bash
$ git fetch upstream
```

<div class="fragment">
<br>
Merge the retrieved changes on the `master` branch:
```bash
$ git checkout master
$ git merge upstream/master
$ git push origin master
```

<div class="fragment">
<br>
Do the same for the `develop` branch<br>
(replace `master` with `develop`).


## Time to practice!

(Live Demo)